Last Comment Bug 32627 - Make mozilla the best porn browser - increment numbers in url
: Make mozilla the best porn browser - increment numbers in url
Status: VERIFIED WONTFIX
: helpwanted
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: Trunk
: All All
: P5 enhancement with 3 votes (vote)
: Future
Assigned To: Brian 'netdragon' Bober
: Paul Wyskoczka
:
Mentors:
Depends on: 58850 73373
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-21 03:27 PST by Brian 'netdragon' Bober
Modified: 2004-11-23 18:54 PST (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Brian 'netdragon' Bober 2000-03-21 03:27:29 PST
Sometimes, people fill a directory with files such as:

Clock1.jpg
Clock2.jpg
Clock3.jpg
Clock4.jpg
Hand_01_a.jpg
Hand_02_a.jpg
Hand_03_a.jpg

Mozilla should have a smart browse feature (on a dockable toolbar of special 
features that lets you increment or decrement the number on a file to go to the 
next one.

If a file is:

Clock009.jpg: First it should try Clock010.jpg, then Clock10.jpg

If a file has two numbers or more, then for the first file you press the button 
for on the file group it should ask which number you want to increment.

It should also try incrementing such things as:

Clock010a.jpg to Clock010b.jpg
Comment 1 Christine Begle 2000-03-21 05:16:52 PST
if you want to propose this feature, try netscape.public.mozilla.netlib.
Comment 2 Asa Dotzler [:asa] 2000-03-21 20:14:26 PST
verified invalid
Comment 3 Brian 'netdragon' Bober 2000-12-12 21:02:35 PST
To add more information to this... I think that it should increment the url by
trying first incrementing the last letter in the url (such as a, b) then last
number in the url (except the extension), then try incrementing the next number
in the url, and then try incrementing all the numbers as one number.
Comment 4 Brian 'netdragon' Bober 2000-12-12 21:23:54 PST
It might also be useful to highlight the numbers you want to increment or
decrement then press the buttons.
Comment 5 Mike Pinkerton (not reading bugmail) 2000-12-14 17:44:12 PST
why was this invalid? it's a valid feature request...and what was cbegle talking
about wrt npm.netlib?!
Comment 6 Ben Bucksch (:BenB) 2000-12-14 22:29:20 PST
Sure it's a valid request. suggesting wontfix. :-) Daniel Veditz suggested
creating/using a non-builtin sidebar panel.
Comment 7 Hixie (not reading bugmail) 2000-12-15 01:10:25 PST
IMHO this should be one of the default bookmarks. I believe someone wrote a 
bookmarklet that would do this -- could we track that down and check it in?
It could even be something useful to add to the otherwise almost completely 
useless stuff on the so-called "taskbar" chrome.
Comment 8 Asa Dotzler [:asa] 2000-12-15 15:12:35 PST
over to everyone's favorite engineer and qa contact 
Comment 9 Michael Nahrath 2000-12-16 07:23:26 PST
IMHO there are severe reasons why this feature should _not_ be shipped with any official Mozilla Build.
1. It would produce tousands of 404 errors on the webserver. 
Read all the "why are my logfiles ploated with errors on favicon.ico"-stuff to understand how annoying this is for webmasters.
2. Those picture-showing sites you mention may not like this feature. They don't like users to spring from 
image to image but want them to go back to their ad-bloated main pages as often as possible.
Not that I feel much sypathy for them, but this "feature" would make them remnaming their images rather soon or 
(much worse!) blocking access for Mozilla completely.
Comment 10 Brian 'netdragon' Bober 2000-12-16 21:32:57 PST
Netscape would not show the user the 404. It would do nothing if the image 
didn't exist. Also, it is more for if the user knows the images already exist. 
For instance, if the user has a directory listing that shows image01.jpg - 
image50.jpg, or a page that shows sample01.jpg - sample07.jpg. It is not made 
for mere guessing that an image exists. Doing so would waste the user's time.
Comment 11 Jesse Ruderman 2000-12-17 03:16:49 PST
If you want a sidebar panel that lets you increment/decrement numbers in urls 
quickly, try http://www.cs.hmc.edu/~jruderma/js/bbn/.

If you have a list of images, you should probably use this instead (try it on 
http://dmoz.org/images/moz/) :

javascript:x = document.links; z = window.open('about:blank').document; for (i 
= 0; i < x.length; ++i) z.write('<p>' + x[i].innerHTML + ' ' + x[i].href.replace
(/\&/g, '&amp;').replace(/\>/g, '&gt;').replace(/\</g, '&lt;') + '<br><img 
src="' + x[i].href.replace(/"/g, '&quot;') + '"></p>\n');

(Yes, it uses innerHTML, doesn't check the extension for each link, and uses 
single-letter variable names (which are likely to conflict with other variable 
names).  I'll fix those problems eventually, and maybe also modify it to only 
show images for links that are selected.)
Comment 12 Brian 'netdragon' Bober 2001-01-08 09:31:24 PST
Very nice Jesse - I like it. Would "Browse by number" be able to use the 
address box of the browser window instead of a text box in the sidebar? Is it 
possible to detect what characters are selected in the url and 
increment/decrement those numbers/letters? I am not sure where to use that 
javascript snippet, but the ability for the sidebar to read all the links of an 
index and click a button to go to the next image would be great.
Comment 13 Jesse Ruderman 2001-02-03 02:46:32 PST
My original plan was to have the user paste into a textbox and then select part 
of the url, but I found out that Mozilla doesn't support selectionStart/End for 
textareas (bug 58850), so instead I set it up so you have to enter the index of 
the number to increment.  I don't plan to make a version that works directly 
from the location bar.
Comment 14 lev 2001-12-02 11:46:12 PST
You may be interested in a little perl script I wrote, and posted 
on
http://www.flooble.com/gpl/ It's called "grabba.pl", and it pretends
to be IE 5.5 as it 
goes onto a specified page, and downloads all the
linked files from it (optionally with a 
specified extension) while 
sending the original page as the "referer" header. (If you're 
on
windows, it works quite well with ActiveState's perl distribution)

Let the mozilla 
team focus on some truly important features.
Comment 15 Brian 'netdragon' Bober 2001-12-02 21:39:43 PST
Not all features have to be important. There are probably plenty of people who
would like to implement some "non-important" features that seem easy to
introduce themselves to coding Mozilla. Thanks for reminding me about this bug.
It is up to the developers to decide how important a feature request is. Some
sites have indexes that are really long and pressing back and the next link
would take too long depending on what you were doing. ahem. =-)


Comment 16 Brian 'netdragon' Bober 2001-12-02 23:04:05 PST
-> Me to decrease number of nobody bugs.
Comment 17 Alan 2002-03-15 18:41:42 PST
Another bit of javascript that might be of interest.  I dont have time to refine
at the moment so i thought i should put it up for anyone who might be
interested, but if i find time to write a better version ill let you know.  

Plus One
javascript:L=location.href;N=L.lastIndexOf('.')-1;x=L[N];x=x+1%10;void(location.href=L.substring(0,N)+x+L.substring(N+1,L.length));

I wrote it primarily because i dont like using the sidebar, browse by number
(see above) was embedding a remote page and was suffering from http reffer
problems.   And a certain amount of "NIH" :)  
And yes i probably should not have used single letter variables, and ive
probably made a whole lot of mistakes but this is some of the first javascript
ive ever done, it took me ages.  I could do with good tutorial on how to write
bookmarklets, mail me if you can recommend any.  

Ive got a few other bookmarklets here:
http://matrix.netsoc.tcd.ie/~horkana/dev/javascript/
ive put a relative link in for browserbynumber
http://matrix.netsoc.tcd.ie/~horkana/dev/javascript/index.php#browsebynumber
ive explained how it works (and does not work).  

Any chance of changing the subject to something a little more subtle yet
informative like 
"Better site navigation - increment numbers in url"

This woudl tie in to some of the suggestions i have seen that the "Site
Navigation Bar" should automatically do this kind of thing, not just on sites
that actually bother to provide the necessary links.  (sorry i have no idea
which bug numbers).  



Comment 18 Jesse Ruderman 2002-04-07 01:18:13 PST
Bookmarklets:
http://www.squarefree.com/bookmarklets/misc.html#increment
http://www.squarefree.com/bookmarklets/misc.html#decrement
http://www.squarefree.com/bookmarklets/misc.html#back_to_first

I think the "next" and "previous" buttons on the site navigation bar should
increment/decrement numbers when the site doesn't specify "next" and "previous"
links.  Similarly, the "up" button should act like the "up a directory"
bookmarklet when the site doesn't specify an "up" link (bug 33684).  When
there's no number in the URL, next/previous would be disabled (cf "up" on IE's
Google toolbar).

The referer should be sent for up/prev/next even if it is an inferred <link>. 
(The "up" button on IE's Google toolbar does not send a referer, but the
bookmarklets above do.)  Sending the referer is useful for web authors, because
they can know where you came from and be sure that you came from within the
site.  It's also useful for users, because many sites (especially porn sites)
won't let you grab an image without a referer.

Having next/previous/up built into the browser (rather than being bookmarklets)
would have the advantage that clicking "next" three times quickly would go
forward the correct number of URLs.  It would also make the site navigation bar
more useful on today's web, so more users would keep the toolbar open,
potentially encouraging more web authors to use <link> tags.

I suggest changing summary to "next/prev should increment last number in url
when next/prev links missing" and removing the dependencies.
Comment 19 Jesse Ruderman 2002-04-07 12:03:15 PDT
Keyboard shortcuts: Alt+- and Alt++, because
a) Most of the time, "next" goes to the next *numbered* chapter or image, even
when a <link> is present.
b) Other navigation commands use Alt, at least on Windows: Alt+up for up a
directory, Alt+left for back.

See also bug 59118, "At end of Web page, offer to go to next page when Space is
pressed".
Comment 20 David Krause 2002-05-12 22:31:21 PDT
Remove myself from the QA of open bugs and change to default QA contact, since I
have no way to verify these easily.  Still no working Mozilla on my primary
platform and it doesn't look like it will happen anytime soon. :(
Comment 21 pajor 2002-05-16 13:50:44 PDT
I think multiple keystrokes is not a good thing (such as alt+ alt-) since most
of the time you use this feature, you will be otherwise occupied.  Mouse
interaction is also discouraged, as grabbing the mouse and aiming it is somewhat
hard to during image viewing.  I suggest using the spacebar because it's nice
and big and people can easy hit it during image viewing sessions, despite
distraction.
Comment 22 Jesse Ruderman 2002-05-16 14:26:23 PDT
Pajor: that's a good idea, and it fits well with suggestions that have been made
in this bug and elsewhere.  Bug 59118 proposes spacebar as an alternate shortcut
for "next" when you've already scrolled to the bottom of a page.  This bug
proposes extending "next" to work on pages that don't contain <link> elements,
including image pages.

I love when I can reply to a feature suggestion with "good idea, that combines
two suggestions that have already been made and makes them more useful" rather
than "that conflicts with what someone else thinks the shortcut should do" :)

Btw, on most keyboards, Alt+- and Alt++ can easily be pressed with one hand.
Comment 23 Pander 2003-09-17 13:50:43 PDT
There is a similar request for konqueror, 
see http://bugs.kde.org/show_bug.cgi?id=64465 
 
It might be an ieda to combine the way these increments and decrements so that 
the work in the same way. 
 
Perhaps simply use - and + and/or =  for decrement and increment and do not 
use these for searching for urls in the page 
Comment 24 Brian 'netdragon' Bober 2003-09-25 08:53:14 PDT
I'm amazed there is a similiar bug for konqueror :-)

Well, when you select numbers (or letters), + and - could inc/dec them. As to
what happens when you don't select numbers, 

Comment 13 update -- select start and end is fixed (bug 58850)

This would probably be still best done as a bookmarklet, although perhaps we
should have a set of bookmarklets we distribute by default, and add this one to
them.
Comment 25 Brian 'netdragon' Bober 2004-10-17 18:50:50 PDT
Found this old bug. WONTFIX - this can be done in an extension.
Comment 26 Robin Lionheart 2004-11-04 18:55:07 PST
The Link Toolbar extension (http://cdn.mozdev.org/linkToolbar/) has an opnion to
guess Previous and Next links from numeric parts of the page URL.
Comment 27 Brian 'netdragon' Bober 2004-11-05 00:40:04 PST
v

Note You need to log in before you can comment on or make changes to this bug.